Download presentation

Presentation is loading. Please wait.

Published byJuniper Miller Modified over 2 years ago

1
Computational Geometry Seminar Lecture #10 3-quasi planar and 4-quasi planar graphs David Malachi.

2
topological graph G is a graph drawn in the plane. V(G) is a set of distinct points. E(G) is a set of Jordan arcs. (E(G) are straight lines geometric graph) A topological graph is k-quasi-planar if no k of its edges are pairwise crossing. (We shall refer to 3-quasi-planar simply as quasi-planar) It was conjectured that for every fixed k, the maximum number of edges in a k-quasi-planar graph on n vertices is O(n). k = 2 trivial (Planar graphs, for n>2 exists E(G) ≤ 3n – 6).

3
Agarwal : “ in 3-quasi-planar graphs E(G) = O(n)”. Pach : “ in 3-quasi-planar graphs E(G) ≤ 65n”. (Eyal Ackerman, Gabor Tardos) Theorem 1 The maximum number of edges in a quasi-planar graph on n ≥ 3 vertices is at most 8n − 20. Theorem 2 For every positive integer n, there is a quasi-planar graph on n vertices with 7n − O(1) edges.

4
Proof`s main concept.. (Theorem 1) discharging method Assign “charges” to elements of input. Compute total charge. discharging phase : redistribute charges between elements of input. Compute total charge again.

5
Proof (Theorem 1) Let G be a quasi-planar topological graph with n vertices. (WLOG with minimum intersections drawn as possible) Assume G is connected. G doesn’t contain parallel edges, self loops. Let G’ = new graph : V(G’) = V(G) U X(G) X(G) = intersection points of edges of G ( “new” vertices) u X(G), d(u) = 4 E(G’) = subdivided edges of G with respect to X(G) F(G’) = faces of G’ For a face f F(G’) : |f| = number of edges comprising face f. v(f) = # ”original” vertices comprising f.

6
We assign “charges” to every face f in F(G’). For a face f, ch(f) is the “charge” of f. ch(f) = |f| + v(f) − 4. G’ does not contain faces of size one or two. No 0-triangles (3 pairwise crossing). Every face in G‘ has a non-negative charge.

7
Sum up all the charges, we get : Next, we redistribute the charges without affecting the total charge found in (1). Our target Modify ch(f) to a new charge ch‘ (f) of a face f, which satisfies ch‘ (f) ≥ v(f)/5. Note, The only faces that do not satisfy this bound with the original charge ch are 1-triangles. (ch = 3+1-4 = 0, but v(f)/5 = 1/5 > 0)

8
Redistribution begins – charge the 1-triangles… Let f be a 1-triangle. u is the original vertex of f. e1‘ and e2‘ be the two sides of f incident to u. e1 and e2 are edges of segments e1‘ and e2‘. We look for the first face along e1 (e2 symmetric) – which is not a 0-quadrilateral, denote fi. for sure exists, as the last face contains e1 endpoint. fi is not a triangle. (no 0-triangles) We Shift 1/5 units of charge to from fi to f. “ fi lost charge through the edge shared with fi-1 ”

9
Current status of charges For every 1-triangle f, ch’(f) = 1/5 = v(f)/5. For every 0-quadrilateral f, ch’(f) = 0 = v(f)/5. Let f be a face of G’. Assume f is not 0-quadrilateral, nor 1-triangle. ch(f) =(|f|+ v(f) – 4) ≥ 1 ch’(f) = ch(f) − xf (xf is the total charge f lost in the redistribution) f lost at most 1/5 unit of charge through any one of its edges only if both endpoints of the edge are new. we have xf ≤ (|f| − v(f))/5 For that f, ch‘ (f) ≥ (2/5)v(f) + (4/5)(ch(f) − 1) ≥ 2v(f)/5 ch‘ (f) ≥ v(f)/5, for all faces f of G‘.

10
Second round of redistribution.. Now we collect all the extra charge at faces incident to an original vertex, and place this charge on the vertex. For every face f with v(f) > 0, we compute the extra charge ch‘ (f) − v(f)/5, and distribute it evenly among the original vertices v(f) of f. Each original vertex of f receives (ch‘ (f) − v(f)/5) / v(f) units of charge from f. ch‘‘(f) is the remaining charge at a face f after this step, for any f. ch‘‘(u) is the charge accumulated at an original vertex u.

11
By the construction of ch‘‘ we have ch‘‘ (f) ≥ v(f)/5 for every face f. From equation (1) we have Remains to prove a lower bound on ch‘‘ (u) for an original vertex u. Claim For an original vertex u, ch‘‘ (u) ≥ 4/5.

12
Suppose Claim is true, Combining our bound for ch’’(f) for any face f F(G’), and ch’’(u) for any u V(G), we get: |E(G)| ≤ 8n – 20. (Theorem) Now on to the proof the Claim.

13
Proof ( Claim - ch’’(u)≥4/5 ) Let G’ the graph after the second round of distribution, u V(G). G u obtained from G by removing the vertex u and all its incident edges. Let G′ u be the corresponding plane drawing. (With respect to G u ) - f u be the face of G′ u containing u. - Let w be a vertex of f u. There is at least one face f of G′ that touches both u and w. If |f|≥ 5, then f alone contributes at least 4/5 unit of charge to u. Same holds for 4-quadrilateral, 3-quadrilateral, 2-quadrilateral (with the two original vertices not being neighbors).

14
As f cannot be a 1-triangle, the following cases remained : - 2-triangle contributing 3/10. - 3-triangle contributing 7/15. - 1-quadrilateral contributing 2/5. - 2-quadrilateral (with neighboring original vertices) contributing at least 7/10.

15
Note : -Except for the 1-quadrilateral (and 1-triangle) case we find an edge of G incident to u that is not involved in any crossing, and therefore, the faces on both sides of this edge contribute charge to u. -There is at least one other vertex w′ of f u besides w. ( The minimal value of ch′′(u) = 4/5 is only possible if fu is subdivided into two 1-quadrilaterals and a few 1-triangles in G′. (claim).

16
Usage of theorem 1.. Let m0 be the largest value such that the complete graph Km0 can be drawn as a quasi-planar graph. By Theorem 1,m0 ≤ 14. Claim: m0 ≥ 9 for a quasi-planar geometric graph. Proof: One can inspect and see for itself… * By Aichholzer and Krasser K10 cannot be drawn as a quasi-planar geometric graph.

17
A Reminder … Theorem 2 For every positive integer n, there is a quasi-planar graph on n vertices with 7n − O(1). Proof A constructive one… - Let be a hexagonal grid such that for each hexagon we draw all the diagonals, but one, as straight line edges. - Add a curved edge for the missing diagonal.

18
Finally we add longer edges, two from every vertex. One can verify by inspection the (3-)quasi-planarity of the obtained graph :

19
- degree of vertices that are far enough from the boundary is 14. - degree of O(√n) vertices which are close to the boundary is smaller than 14 This quasi-planar graph already has 7n − O(√n) edges. To improve the “error” term: - wrap the graph around a cylinder so that we have three hexagons around the cylinder. - draw five more edges on each of the top and bottom faces. now only O(1) vertices don’t have degree 14. (Theorem 2)

20
Part 2 4-quasi planar graphs By Eyal Ackerman

21
Theorem : (4-quasi planar) For any integer n > 2, every topological graph on n vertices with no four pairwise crossing edges has at most 36(n - 2) edges. Proof : ( lets start…) Number of a 4-quasi planar graph on n=3 vertices, Is 3 < 36(3 - 2) = 36. Assume n ≥ 4.

22
A few definitions e| p,q - the segment of e between p and q. - e E(G) - p and q are points on e. lens – e1,e2 E(G) which intersect at least twice. Region bounded by segments of e1 and e2 that connect two consecutive intersection points is called a lens. A wedge is a triplet w = (v, l, r) such that - v V (G). - l and r are edges emerging from v. - l immediately follows r in a clockwise order. (of the edges touching v).

23
Assumptions and markings - G drawn with least possible number of crossings. (with respect to quasi planarity) - No three edges crossing at the same point. - For every v V(G), d(v)≥2. -G does not contain self loops/no parallel edges. -G does not contain Empty Lenses. (Lens which does not contain a vertex of G). G’ as before… V(G’) = V(G) U X(G) (X(G) “new” vertices) E(G’) = subdivided edges of G with respect to X(G). (We will refer E(G’) edges as p-edges) F(G’) = Faces of G’. |f| = number of p-edges f. v(f) = number of “original” vertices.

24
Proof`s main idea is… Discharging method Assign “charges” to faces of G’. Redistribute the charges, with certain logic. No faces with negative charge. All wedges have least of 1/18 unit of charge. Total wedges is charge (2|E(G)| / 18 ) ≤ 4n – 8.

25
Starting… As before, we assign charges to F(G’): ch(f) = |f|+v(f) – 4 Total sum of charges is : Equality is due to Euler`s formula (f=e-v+2) + the next equality :

26
Minimum face size is 3. Face of size one yields a self-intersecting edge. Face of size two yields an empty lens or two parallel edges Only faces with negative charge are 0-triangles. (3 + 0 – 4 = -1) Solution : Charge the 0-triangles !

27
Let t be a 0-triangle - e1 be one of its p-edges. - f1 be the other face incident to e1 |f1| > 3 If v(f1) > 0 or |f1| > 4 ( f1`s charge is ≥ 1) move 1/3 units of charge from f1 to t. ( f1 contributed 1/3 units of charge to t through p-edge e1 ) Otherwise, f1 must be a 0-quadrilateral.

28
We look at the face incident to the opposite edge to e1,and continue on until we find a face which is not a 0-quadrilateral, Denote - f i. f i will contribute 1/3 units of charge to t through e i-1. In a similar way t obtains 2/3 units of charge from its other p-edges.

29
After re-distributing charges this way, the charge of every 0-triangle is 0. A face can contribute through each of its p-edges at most once every face f such that |f|+v(f) ≥ 6 still has a non-negative charge. Remains to verify 1-quadrilaterals and 0-pentagons, which had only one unit of charge to contribute, also have a non-negative charge. Observe 1-quadrilateral contributes to at most two 0-triangles (endpoints of a p-edge through which it contributes must be vertices from X(G) ) 0-pentagon, on the other hand, can contribute to at most three 0- triangles by Observation 2.1

30
Observation 2.1 0-pentagon contributes charge to at most three 0-triangles. Moreover, if it contributes to three 0-triangles, then the contribution must be done through consecutive p-edges. Proof : (in waving hands) One can easily inspect that a contribution to three 0-triangles, through non-consecutive p-edges implies four pairwise crossing edges. At this stage, faces with positive charge are called good faces, and faces with 0 charge are called bad faces. (except for 0-triangles and 0-quadrilateral). 0-pentagons that contributed to three 0-triangles, and 0-hexagons that contributed to six 0-triangle == BAD

31
At this point, ALL faces have non-negative charge. Next stage is to put charge on the wedges.. First, a few definitions … A-crossing - Let w = (v,l,r) be a wedge. An A-crossing of w is a triplet cr = (e,p,q) such that : - e is an edge crossing l at p, and r at q - e|p,q does not intersect l or r. - the endpoints of e are not in w|e,p,q cr is an uncut A-crossing of w, if e|p,q is a p-edge. cr is farther than cr`, for 2 A-crossings cr and cr` of w, if p` l|v,p and q` r|v,q. cr is an empty A-crossing of w, if there are no original vertices in w|cr (w|cr = w|e,p,q )

32
X-crossing Let w be a wedge, cr1 = (e1,p1,q1) and cr2 = (e2,p2,q2) be two A-crossings of w. x = (cr1,cr2) is an X-crossing of w if e1|p1,q1 and e2|p2,q2 intersect exactly once. We say that x is empty if both cr1 and cr2 are empty A-crossings. w|x represents the area w|cr1 U w|cr2. y is the intersection point of e1|p1,q1 and e2|p2,q2. Vis(x) is the curve (e1|p1,y) U (e2|y,q2). Vis(x)l is e1|p1,y. Vis(x)r is e2|y,q2.

33
Observation 2.4 x = ( cr1 = (e1, p1, q1), cr2 =(e2,p2, q2)) is an empty X-crossing of a wedge w = (v, l, r),Vis(x)l part of e1. an edge e’ that crosses Vis(x)l (resp., Vis(x)r) must cross l (resp., r) and must not cross e2 (resp., e1). Let z be the crossing point of e’ and e1|p1,y. Since x is an empty X-crossing of w, e’ must cross the boundary of w|x at least one more time. (no original vertex inside) If it crosses e1|p1,q1 at another point different from z, then we have an empty lens. if e’ crosses r|v,q2 then it must also cross e2|p2,y four pairwise crossing edges: e0, e1,e2, r. e’ must cross l. e’ must not cross e2. (four pairwise crossing).

34
Charge the wedges Let x and x’ be two X-crossings of a wedge w. x is a farther X-crossing of w than x’, if one A-crossing of x is farther than one A-crossing of x’ and the other A-crossing of x’ is not farther than the other A-crossing of x. An uncut A-crossing is farther (resp., closer) than an X-crossing of the same wedge, if it is farther (resp., closer) than both A-crossings of the X-crossing. Given a wedge w = (v, l, r), we look for the farthest empty uncut A-crossing or X-crossing of w.

35
Start charging wedges If there is no such uncut A-crossing or X-crossing, then the face incident to w is not a 1-triangle. Its charge is at least 1/3 units, from which we use 1/18 units to charge w. Assume we find such A-crossing, cr = (e, p, q). Let f be the face incident to e|p,q outside w|cr. -f is not 0-triangle as this would yield an empty lens or parallel edges. -f is not 0-quadrilateral since this would imply an empty uncut A- crossing farther than cr. -If f is a bad pentagon, then it follows from Observation 2.1 that there is an empty X-crossing, farther than cr. f must be a good face which will contribute 1/18 units of charge to w through e|p,q.

36
2 nd case Assume we find such X-crossing x = (cr1 = (e1,p1,q1), cr2 = (e2,p2,q2)). Vis(x)l = e1|p1,y. y is the intersection point of e1|p1,q1 and e2|p2,q2. Let f1 be the face that is incident to y and outside w|x. Several cases for f1 : - Suppose f1 is a 0-triangle, e3 be the third edge incident to it. By Observation 2.4 that e3 must cross l, thus l, e1, e2, e3 are pairwise crossing.

37
Suppose f1 is a bad pentagon, then we consider the possible cases: none, one, or both of e1|p1,y and e2|y,q2 are p-edges : -In case both of them are p-edges,then there is an empty uncut A-crossing of w that is farther than x. -In case one of them, WLOG e2|y,q2, is a p-edge, then there is an empty X-crossing farther than x. -In case none of them is a p-edge,then there must be four pairwise crossing edges.

38
In a similar way, if f1 is a bad hexagon then there must be four pairwise crossing edges, or an X-crossing of w farther than x. So, if f1 is a bad face, it must be a 0-quadrilateral. Let f2 be the face outside of w|x that shares a p-edge with f1 and is incident to Vis(x)l. If there is no such face, or there is no face outside w|x that shares a p- edge with f1 and is incident to Vis(x)r, then there is an empty X-crossing farther than x.

39
f2 cannot be a 0-triangle. (four pairwise crossing edges). if f2 is a bad pentagon (or a bad hexagon), then again (as before) there must be four pairwise crossing edges or an empty X-crossing farther than x.

40
So, lets assume f2 be a 0-quadrilateral, Lets examine the next face, that is, the face f3 != f1 such that f3 is outside w| x, shares a p-edge with f2, and is incident to Vis(x)l. If there is no such a face, then again, we have an empty X-crossing farther than x. Else – Apply the arguments for f2 and so on.. Until we find such a good face, which we must encounter, otherwise we have an empty X-crossing farther than x. Denote : f i -the first good face we encounter along Vis(x)l, e i -be the p-edge of fi that is contained in Vis(x)l. f i contributes 1/18 units of charge to w through e i.

41
Left is to prove that after charging every wedge of an original vertex, there are no faces with a negative charge. We show that by proofing a face cannot contribute to “too many" wedges. Definition For a (good) face f and one of its p-edges m, we say that f is a possible X-contributor to a wedge w through m, if there is an empty X-crossing of w, x, such that f is outside w|x and m Vis(x)l. Observation 2.5. Let f be a face and let m be one of its p-edges. Then f is a possible X-contributor through m to at most one wedge.

42
Proof (Observation 2.5) Let f be a face. Suppose f is a possible X-contributor through one of its p-edges m, to two wedges, w1 = (v1, l1, r1) and w2 = (v2, l2, r2). Let e be the edge containing m. There are four points p1, q1, p2, q2, such that cr1 = (e, p1, q1) is an A-crossing of w1. cr2 = (e, p2, q2) is an A-crossing of w2. x1 =((e, p1, q1),(e1‘, p1‘, q1‘)) - the empty X-crossing of w1, such that m Vis(x1)l. x2 =((e, p2, q2),(e2‘, p2‘, q2‘)) - the empty X-crossing of w2,such that m Vis(x2)l.

43
Lets we sort p1, q1, p2, q2 by the order in which they appear when traversing e from one of its endpoints to the other. (such that when traversing m the face f is to our right.) pi must precede qi, for i = 1,2 since f is outside of w|xi. Assume, WLOG, that p1 precedes p2. (Other case – symmetric) Notice, By Observation 2.4 l2 must cross l1. Since m ( e| p1,q1 U e| p2,q2 ), the order of the four points is p1, p2, q1, q2 or p1, p2, q2, q1

44
Suppose q1 precedes q2 : w1|x1 and w2|x2 do not contain any original vertex. We have 2 options: - l2 must cross l1 and r1. - r2 must cross l1 and r1. The first case yields an empty lens. In the second case, note that e1’ must cross either l2 or r2, yielding four pairwise crossing edges.

45
Suppose q2 precedes q1 : Then the edge e2’ must cross e twice and creating an empty lens, or cross l1 and yield four pairwise crossing edges.

46
We conclude that f cannot be a possible X-contributor through m to more than one wedge. (Observation 2.5) face f, such that |f| ≥ 7, ends up with a charge of at least (when v(f)=0) |f| - 4 - |f|( 1/3 +1/18 ) > 0. k-quadrilaterals, for k > 0, and good pentagons and hexagons, end up with a non-negative charge, as their charge after charging the 0-triangles was at least 1/3. Summing up the charge over all the wedges we have 2|E(G)|/18 ≤ 4n – 8 |E(G)| ≤ 36n – 72

47
The End…. Thank you !

Similar presentations

Presentation is loading. Please wait....

OK

5.1 Real Vector Spaces.

5.1 Real Vector Spaces.

© 2017 SlidePlayer.com Inc.

All rights reserved.

Ads by Google

Ppt on transport and communication Ppt on ram and rom pictures Ppt on next generation 2-stroke engine problems Cg ppt online registration 2014 Seminar report and ppt on cloud computing Free ppt on brain machine interface application Ppt on c-programming basics Ppt on pin diode characteristic curve Ppt on vegetarian and non vegetarian buffet Ppt on channels of distribution for services